<?php
error_reporting(E_ALL);
require_once('nest-api-master/nest.class.php');

// Enter your Nest username and password.
$username = 'your-nest-userid';
$password = 'your-nest-password';

// Logon to Nest
$nest = new Nest($username, $password);

echo "Location information:\n";
$locations = $nest->getUserLocations();
var_dump($locations);
echo "----------\n\n";

echo "Devices list (thermostats):\n";
$devices_serials = $nest->getDevices();
var_dump($devices_serials);
echo "----------\n\n";

echo "Devices list (Nest Protect):\n";
$protects_serials = $nest->getDevices(DEVICE_TYPE_PROTECT);
var_dump($protects_serials);
echo "----------\n\n";

echo "Device information:\n";
$infos = $nest->getDeviceInfo($devices_serials[0]);
var_dump($infos);
echo "----------\n\n";

?>

